package org.xdoclet.plugin.actionscript.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String ACTIONSCRIPT_CLASS = ActionscriptClassTagImpl.NAME;
    public static final String ACTIONSCRIPT_PROPERTY = ActionscriptPropertyTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(ActionscriptClassTagImpl.NAME, ActionscriptClassTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(ActionscriptPropertyTagImpl.NAME, ActionscriptPropertyTagImpl.class);
    }
}
